> For the complete documentation index, see [llms.txt](https://docs-vnext.kiflo.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-vnext.kiflo.com/developers/api-reference/account-mapping-data-sources/list-data-sources.md).

# List data sources

List your account mapping data sources.

```json
{"openapi":"3.0.1","info":{"title":"Kiflo Public API v3","version":"v3"},"security":[{"oauth2":["AccountMappingDataSource.View","Api"]}],"components":{"securitySchemes":{},"schemas":{"AccountMappingDataSourceType":{"enum":["Unknown","Csv","HubSpot"],"type":"string"},"AccountMappingDataSourceStatus":{"enum":["Unknown","Processing","Enabled","Disabled","Error"],"type":"string"},"AccountMappingDataSourceListResponseDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/AccountMappingDataSourceDto"},"nullable":true},"paginationSkipCount":{"type":"integer","format":"int32"},"totalCount":{"type":"integer","description":"Gets or sets the total number of items that could be returned by this command (without pagination).","format":"int32"}},"additionalProperties":false},"AccountMappingDataSourceDto":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"name":{"type":"string","nullable":true},"type":{"$ref":"#/components/schemas/AccountMappingDataSourceType"},"status":{"$ref":"#/components/schemas/AccountMappingDataSourceStatus"},"creationDate":{"type":"string","format":"date-time"},"lastImportedDate":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false}}},"paths":{"/v3/account-mapping/data-sources":{"get":{"tags":["AccountMappingDataSources"],"summary":"List data sources","description":"List your account mapping data sources.","parameters":[{"name":"offset","in":"query","description":"The cursor used in pagination. This is the index of the first data source to be returned.","schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","description":"The maximum number of data sources to be returned. The default is 20.","schema":{"type":"integer","format":"int32"}},{"name":"sort_by","in":"query","description":"The property used to sort the data sources by. The default is CreationDate.","schema":{"type":"string"}},{"name":"order_by","in":"query","description":"The sorting direction for the returned data sources. Accepted values: ASC, DESC. The default is DESC.","schema":{"type":"string"}},{"name":"type","in":"query","description":"Filters data sources on their type.","schema":{"$ref":"#/components/schemas/AccountMappingDataSourceType"}},{"name":"status","in":"query","description":"Filters data sources on their status.","schema":{"$ref":"#/components/schemas/AccountMappingDataSourceStatus"}}],"responses":{"200":{"description":"Data sources returned","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountMappingDataSourceListResponseDto"}}}},"400":{"description":"Invalid request"},"403":{"description":"Account mapping feature is not available"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs-vnext.kiflo.com/developers/api-reference/account-mapping-data-sources/list-data-sources.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
